# Class EmptyVisitor

java.lang.Object
org.apache.bcel.generic.EmptyVisitor

All Implemented Interfaces:
  `Visitor`

Direct Known Subclasses:
  `ExecutionVisitor, InstConstraintVisitor`

public abstract class EmptyVisitor extends Object implements Visitor
Supplies empty method bodies to be overridden by subclasses.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmptyVisitor()`
  Constructs an EmptyVisitor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `visitAALOAD(AALOAD obj)`
  Visits an AALOAD instruction.
  `void`
  `visitAASTORE(AASTORE obj)`
  Visits an AASTORE instruction.
  `void`
  `visitACONST_NULL(ACONST_NULL obj)`
  Visits an ACONST_NULL instruction.
  `void`
  `visitAllocationInstruction(AllocationInstruction obj)`
  Visits an AllocationInstruction.
  `void`
  `visitALOAD(ALOAD obj)`
  Visits an ALOAD instruction.
  `void`
  `visitANEWARRAY(ANEWARRAY obj)`
  Visits an ANEWARRAY instruction.
  `void`
  `visitARETURN(ARETURN obj)`
  Visits an ARETURN instruction.
  `void`
  `visitArithmeticInstruction(ArithmeticInstruction obj)`
  Visits an ArithmeticInstruction.
  `void`
  `visitArrayInstruction(ArrayInstruction obj)`
  Visits an ArrayInstruction.
  `void`
  `visitARRAYLENGTH(ARRAYLENGTH obj)`
  Visits an ARRAYLENGTH instruction.
  `void`
  `visitASTORE(ASTORE obj)`
  Visits an ASTORE instruction.
  `void`
  `visitATHROW(ATHROW obj)`
  Visits an ATHROW instruction.
  `void`
  `visitBALOAD(BALOAD obj)`
  Visits a BALOAD instruction.
  `void`
  `visitBASTORE(BASTORE obj)`
  Visits a BASTORE instruction.
  `void`
  `visitBIPUSH(BIPUSH obj)`
  Visits a BIPUSH instruction.
  `void`
  `visitBranchInstruction(BranchInstruction obj)`
  Visits a BranchInstruction.
  `void`
  `visitBREAKPOINT(BREAKPOINT obj)`
  Visits a BREAKPOINT instruction.
  `void`
  `visitCALOAD(CALOAD obj)`
  Visits a CALOAD instruction.
  `void`
  `visitCASTORE(CASTORE obj)`
  Visits a CASTORE instruction.
  `void`
  `visitCHECKCAST(CHECKCAST obj)`
  Visits a CHECKCAST instruction.
  `void`
  `visitConstantPushInstruction(ConstantPushInstruction obj)`
  Visits a ConstantPushInstruction.
  `void`
  `visitConversionInstruction(ConversionInstruction obj)`
  Visits a ConversionInstruction.
  `void`
  `visitCPInstruction(CPInstruction obj)`
  Visits a CPInstruction.
  `void`
  `visitD2F(D2F obj)`
  Visits a D2F instruction.
  `void`
  `visitD2I(D2I obj)`
  Visits a D2I instruction.
  `void`
  `visitD2L(D2L obj)`
  Visits a D2L instruction.
  `void`
  `visitDADD(DADD obj)`
  Visits a DADD instruction.
  `void`
  `visitDALOAD(DALOAD obj)`
  Visits a DALOAD instruction.
  `void`
  `visitDASTORE(DASTORE obj)`
  Visits a DASTORE instruction.
  `void`
  `visitDCMPG(DCMPG obj)`
  Visits a DCMPG instruction.
  `void`
  `visitDCMPL(DCMPL obj)`
  Visits a DCMPL instruction.
  `void`
  `visitDCONST(DCONST obj)`
  Visits a DCONST instruction.
  `void`
  `visitDDIV(DDIV obj)`
  Visits a DDIV instruction.
  `void`
  `visitDLOAD(DLOAD obj)`
  Visits a DLOAD instruction.
  `void`
  `visitDMUL(DMUL obj)`
  Visits a DMUL instruction.
  `void`
  `visitDNEG(DNEG obj)`
  Visits a DNEG instruction.
  `void`
  `visitDREM(DREM obj)`
  Visits a DREM instruction.
  `void`
  `visitDRETURN(DRETURN obj)`
  Visits a DRETURN instruction.
  `void`
  `visitDSTORE(DSTORE obj)`
  Visits a DSTORE instruction.
  `void`
  `visitDSUB(DSUB obj)`
  Visits a DSUB instruction.
  `void`
  `visitDUP(DUP obj)`
  Visits a DUP instruction.
  `void`
  `visitDUP_X1(DUP_X1 obj)`
  Visits a DUP_X1 instruction.
  `void`
  `visitDUP_X2(DUP_X2 obj)`
  Visits a DUP_X2 instruction.
  `void`
  `visitDUP2(DUP2 obj)`
  Visits a DUP2 instruction.
  `void`
  `visitDUP2_X1(DUP2_X1 obj)`
  Visits a DUP2_X1 instruction.
  `void`
  `visitDUP2_X2(DUP2_X2 obj)`
  Visits a DUP2_X2 instruction.
  `void`
  `visitExceptionThrower(ExceptionThrower obj)`
  Visits an ExceptionThrower.
  `void`
  `visitF2D(F2D obj)`
  Visits an F2D instruction.
  `void`
  `visitF2I(F2I obj)`
  Visits an F2I instruction.
  `void`
  `visitF2L(F2L obj)`
  Visits an F2L instruction.
  `void`
  `visitFADD(FADD obj)`
  Visits an FADD instruction.
  `void`
  `visitFALOAD(FALOAD obj)`
  Visits an FALOAD instruction.
  `void`
  `visitFASTORE(FASTORE obj)`
  Visits an FASTORE instruction.
  `void`
  `visitFCMPG(FCMPG obj)`
  Visits an FCMPG instruction.
  `void`
  `visitFCMPL(FCMPL obj)`
  Visits an FCMPL instruction.
  `void`
  `visitFCONST(FCONST obj)`
  Visits an FCONST instruction.
  `void`
  `visitFDIV(FDIV obj)`
  Visits an FDIV instruction.
  `void`
  `visitFieldInstruction(FieldInstruction obj)`
  Visits a FieldInstruction.
  `void`
  `visitFieldOrMethod(FieldOrMethod obj)`
  Visits a FieldOrMethod.
  `void`
  `visitFLOAD(FLOAD obj)`
  Visits an FLOAD instruction.
  `void`
  `visitFMUL(FMUL obj)`
  Visits an FMUL instruction.
  `void`
  `visitFNEG(FNEG obj)`
  Visits an FNEG instruction.
  `void`
  `visitFREM(FREM obj)`
  Visits an FREM instruction.
  `void`
  `visitFRETURN(FRETURN obj)`
  Visits an FRETURN instruction.
  `void`
  `visitFSTORE(FSTORE obj)`
  Visits an FSTORE instruction.
  `void`
  `visitFSUB(FSUB obj)`
  Visits an FSUB instruction.
  `void`
  `visitGETFIELD(GETFIELD obj)`
  Visits a GETFIELD instruction.
  `void`
  `visitGETSTATIC(GETSTATIC obj)`
  Visits a GETSTATIC instruction.
  `void`
  `visitGOTO(GOTO obj)`
  Visits a GOTO instruction.
  `void`
  `visitGOTO_W(GOTO_W obj)`
  Visits a GOTO_W instruction.
  `void`
  `visitGotoInstruction(GotoInstruction obj)`
  Visits a GotoInstruction.
  `void`
  `visitI2B(I2B obj)`
  Visits an I2B instruction.
  `void`
  `visitI2C(I2C obj)`
  Visits an I2C instruction.
  `void`
  `visitI2D(I2D obj)`
  Visits an I2D instruction.
  `void`
  `visitI2F(I2F obj)`
  Visits an I2F instruction.
  `void`
  `visitI2L(I2L obj)`
  Visits an I2L instruction.
  `void`
  `visitI2S(I2S obj)`
  Visits an I2S instruction.
  `void`
  `visitIADD(IADD obj)`
  Visits an IADD instruction.
  `void`
  `visitIALOAD(IALOAD obj)`
  Visits an IALOAD instruction.
  `void`
  `visitIAND(IAND obj)`
  Visits an IAND instruction.
  `void`
  `visitIASTORE(IASTORE obj)`
  Visits an IASTORE instruction.
  `void`
  `visitICONST(ICONST obj)`
  Visits an ICONST instruction.
  `void`
  `visitIDIV(IDIV obj)`
  Visits an IDIV instruction.
  `void`
  `visitIF_ACMPEQ(IF_ACMPEQ obj)`
  Visits an IF_ACMPEQ instruction.
  `void`
  `visitIF_ACMPNE(IF_ACMPNE obj)`
  Visits an IF_ACMPNE instruction.
  `void`
  `visitIF_ICMPEQ(IF_ICMPEQ obj)`
  Visits an IF_ICMPEQ instruction.
  `void`
  `visitIF_ICMPGE(IF_ICMPGE obj)`
  Visits an IF_ICMPGE instruction.
  `void`
  `visitIF_ICMPGT(IF_ICMPGT obj)`
  Visits an IF_ICMPGT instruction.
  `void`
  `visitIF_ICMPLE(IF_ICMPLE obj)`
  Visits an IF_ICMPLE instruction.
  `void`
  `visitIF_ICMPLT(IF_ICMPLT obj)`
  Visits an IF_ICMPLT instruction.
  `void`
  `visitIF_ICMPNE(IF_ICMPNE obj)`
  Visits an IF_ICMPNE instruction.
  `void`
  `visitIFEQ(IFEQ obj)`
  Visits an IFEQ instruction.
  `void`
  `visitIFGE(IFGE obj)`
  Visits an IFGE instruction.
  `void`
  `visitIFGT(IFGT obj)`
  Visits an IFGT instruction.
  `void`
  `visitIfInstruction(IfInstruction obj)`
  Visits an IfInstruction.
  `void`
  `visitIFLE(IFLE obj)`
  Visits an IFLE instruction.
  `void`
  `visitIFLT(IFLT obj)`
  Visits an IFLT instruction.
  `void`
  `visitIFNE(IFNE obj)`
  Visits an IFNE instruction.
  `void`
  `visitIFNONNULL(IFNONNULL obj)`
  Visits an IFNONNULL instruction.
  `void`
  `visitIFNULL(IFNULL obj)`
  Visits an IFNULL instruction.
  `void`
  `visitIINC(IINC obj)`
  Visits an IINC instruction.
  `void`
  `visitILOAD(ILOAD obj)`
  Visits an ILOAD instruction.
  `void`
  `visitIMPDEP1(IMPDEP1 obj)`
  Visits an IMPDEP1 instruction.
  `void`
  `visitIMPDEP2(IMPDEP2 obj)`
  Visits an IMPDEP2 instruction.
  `void`
  `visitIMUL(IMUL obj)`
  Visits an IMUL instruction.
  `void`
  `visitINEG(INEG obj)`
  Visits an INEG instruction.
  `void`
  `visitINSTANCEOF(INSTANCEOF obj)`
  Visits an INSTANCEOF instruction.
  `void`
  `visitINVOKEDYNAMIC(INVOKEDYNAMIC obj)`
  Visits an INVOKEDYNAMIC instruction.
  `void`
  `visitInvokeInstruction(InvokeInstruction obj)`
  Visits an InvokeInstruction.
  `void`
  `visitINVOKEINTERFACE(INVOKEINTERFACE obj)`
  Visits an INVOKEINTERFACE instruction.
  `void`
  `visitINVOKESPECIAL(INVOKESPECIAL obj)`
  Visits an INVOKESPECIAL instruction.
  `void`
  `visitINVOKESTATIC(INVOKESTATIC obj)`
  Visits an INVOKESTATIC instruction.
  `void`
  `visitINVOKEVIRTUAL(INVOKEVIRTUAL obj)`
  Visits an INVOKEVIRTUAL instruction.
  `void`
  `visitIOR(IOR obj)`
  Visits an IOR instruction.
  `void`
  `visitIREM(IREM obj)`
  Visits an IREM instruction.
  `void`
  `visitIRETURN(IRETURN obj)`
  Visits an IRETURN instruction.
  `void`
  `visitISHL(ISHL obj)`
  Visits an ISHL instruction.
  `void`
  `visitISHR(ISHR obj)`
  Visits an ISHR instruction.
  `void`
  `visitISTORE(ISTORE obj)`
  Visits an ISTORE instruction.
  `void`
  `visitISUB(ISUB obj)`
  Visits an ISUB instruction.
  `void`
  `visitIUSHR(IUSHR obj)`
  Visits an IUSHR instruction.
  `void`
  `visitIXOR(IXOR obj)`
  Visits an IXOR instruction.
  `void`
  `visitJSR(JSR obj)`
  Visits a JSR instruction.
  `void`
  `visitJSR_W(JSR_W obj)`
  Visits a JSR_W instruction.
  `void`
  `visitJsrInstruction(JsrInstruction obj)`
  Visits a JsrInstruction.
  `void`
  `visitL2D(L2D obj)`
  Visits an L2D instruction.
  `void`
  `visitL2F(L2F obj)`
  Visits an L2F instruction.
  `void`
  `visitL2I(L2I obj)`
  Visits an L2I instruction.
  `void`
  `visitLADD(LADD obj)`
  Visits an LADD instruction.
  `void`
  `visitLALOAD(LALOAD obj)`
  Visits an LALOAD instruction.
  `void`
  `visitLAND(LAND obj)`
  Visits an LAND instruction.
  `void`
  `visitLASTORE(LASTORE obj)`
  Visits an LASTORE instruction.
  `void`
  `visitLCMP(LCMP obj)`
  Visits an LCMP instruction.
  `void`
  `visitLCONST(LCONST obj)`
  Visits an LCONST instruction.
  `void`
  `visitLDC(LDC obj)`
  Visits an LDC instruction.
  `void`
  `visitLDC2_W(LDC2_W obj)`
  Visits an LDC2_W instruction.
  `void`
  `visitLDIV(LDIV obj)`
  Visits an LDIV instruction.
  `void`
  `visitLLOAD(LLOAD obj)`
  Visits an LLOAD instruction.
  `void`
  `visitLMUL(LMUL obj)`
  Visits an LMUL instruction.
  `void`
  `visitLNEG(LNEG obj)`
  Visits an LNEG instruction.
  `void`
  `visitLoadClass(LoadClass obj)`
  Visits a LoadClass.
  `void`
  `visitLoadInstruction(LoadInstruction obj)`
  Visits a LoadInstruction.
  `void`
  `visitLocalVariableInstruction(LocalVariableInstruction obj)`
  Visits a LocalVariableInstruction.
  `void`
  `visitLOOKUPSWITCH(LOOKUPSWITCH obj)`
  Visits a LOOKUPSWITCH instruction.
  `void`
  `visitLOR(LOR obj)`
  Visits an LOR instruction.
  `void`
  `visitLREM(LREM obj)`
  Visits an LREM instruction.
  `void`
  `visitLRETURN(LRETURN obj)`
  Visits an LRETURN instruction.
  `void`
  `visitLSHL(LSHL obj)`
  Visits an LSHL instruction.
  `void`
  `visitLSHR(LSHR obj)`
  Visits an LSHR instruction.
  `void`
  `visitLSTORE(LSTORE obj)`
  Visits an LSTORE instruction.
  `void`
  `visitLSUB(LSUB obj)`
  Visits an LSUB instruction.
  `void`
  `visitLUSHR(LUSHR obj)`
  Visits an LUSHR instruction.
  `void`
  `visitLXOR(LXOR obj)`
  Visits an LXOR instruction.
  `void`
  `visitMONITORENTER(MONITORENTER obj)`
  Visits a MONITORENTER instruction.
  `void`
  `visitMONITOREXIT(MONITOREXIT obj)`
  Visits a MONITOREXIT instruction.
  `void`
  `visitMULTIANEWARRAY(MULTIANEWARRAY obj)`
  Visits a MULTIANEWARRAY instruction.
  `void`
  `visitNEW(NEW obj)`
  Visits a NEW instruction.
  `void`
  `visitNEWARRAY(NEWARRAY obj)`
  Visits a NEWARRAY instruction.
  `void`
  `visitNOP(NOP obj)`
  Visits a NOP instruction.
  `void`
  `visitPOP(POP obj)`
  Visits a POP instruction.
  `void`
  `visitPOP2(POP2 obj)`
  Visits a POP2 instruction.
  `void`
  `visitPopInstruction(PopInstruction obj)`
  Visits a PopInstruction.
  `void`
  `visitPushInstruction(PushInstruction obj)`
  Visits a PushInstruction.
  `void`
  `visitPUTFIELD(PUTFIELD obj)`
  Visits a PUTFIELD instruction.
  `void`
  `visitPUTSTATIC(PUTSTATIC obj)`
  Visits a PUTSTATIC instruction.
  `void`
  `visitRET(RET obj)`
  Visits a RET instruction.
  `void`
  `visitRETURN(RETURN obj)`
  Visits a RETURN instruction.
  `void`
  `visitReturnInstruction(ReturnInstruction obj)`
  Visits a ReturnInstruction.
  `void`
  `visitSALOAD(SALOAD obj)`
  Visits a SALOAD instruction.
  `void`
  `visitSASTORE(SASTORE obj)`
  Visits a SASTORE instruction.
  `void`
  `visitSelect(Select obj)`
  Visits a Select instruction.
  `void`
  `visitSIPUSH(SIPUSH obj)`
  Visits a SIPUSH instruction.
  `void`
  `visitStackConsumer(StackConsumer obj)`
  Visits a StackConsumer.
  `void`
  `visitStackInstruction(StackInstruction obj)`
  Visits a StackInstruction.
  `void`
  `visitStackProducer(StackProducer obj)`
  Visits a StackProducer.
  `void`
  `visitStoreInstruction(StoreInstruction obj)`
  Visits a StoreInstruction.
  `void`
  `visitSWAP(SWAP obj)`
  Visits a SWAP instruction.
  `void`
  `visitTABLESWITCH(TABLESWITCH obj)`
  Visits a TABLESWITCH instruction.
  `void`
  `visitTypedInstruction(TypedInstruction obj)`
  Visits a TypedInstruction.
  `void`
  `visitUnconditionalBranch(UnconditionalBranch obj)`
  Visits an UnconditionalBranch.
  `void`
  `visitVariableLengthInstruction(VariableLengthInstruction obj)`
  Visits a VariableLengthInstruction.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EmptyVisitor

    public EmptyVisitor()
    Constructs an EmptyVisitor.

- ## Method Details

  - ### visitAALOAD

    public void visitAALOAD(AALOAD obj)
    Description copied from interface: `Visitor`
    Visits an AALOAD instruction.
    Specified by:
      `visitAALOAD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitAASTORE

    public void visitAASTORE(AASTORE obj)
    Description copied from interface: `Visitor`
    Visits an AASTORE instruction.
    Specified by:
      `visitAASTORE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitACONST_NULL

    public void visitACONST_NULL(ACONST_NULL obj)
    Description copied from interface: `Visitor`
    Visits an ACONST_NULL instruction.
    Specified by:
      `visitACONST_NULL` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitAllocationInstruction

    public void visitAllocationInstruction(AllocationInstruction obj)
    Description copied from interface: `Visitor`
    Visits an AllocationInstruction.
    Specified by:
      `visitAllocationInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitALOAD

    public void visitALOAD(ALOAD obj)
    Description copied from interface: `Visitor`
    Visits an ALOAD instruction.
    Specified by:
      `visitALOAD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitANEWARRAY

    public void visitANEWARRAY(ANEWARRAY obj)
    Description copied from interface: `Visitor`
    Visits an ANEWARRAY instruction.
    Specified by:
      `visitANEWARRAY` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitARETURN

    public void visitARETURN(ARETURN obj)
    Description copied from interface: `Visitor`
    Visits an ARETURN instruction.
    Specified by:
      `visitARETURN` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitArithmeticInstruction

    public void visitArithmeticInstruction(ArithmeticInstruction obj)
    Description copied from interface: `Visitor`
    Visits an ArithmeticInstruction.
    Specified by:
      `visitArithmeticInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitArrayInstruction

    public void visitArrayInstruction(ArrayInstruction obj)
    Description copied from interface: `Visitor`
    Visits an ArrayInstruction.
    Specified by:
      `visitArrayInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitARRAYLENGTH

    public void visitARRAYLENGTH(ARRAYLENGTH obj)
    Description copied from interface: `Visitor`
    Visits an ARRAYLENGTH instruction.
    Specified by:
      `visitARRAYLENGTH` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitASTORE

    public void visitASTORE(ASTORE obj)
    Description copied from interface: `Visitor`
    Visits an ASTORE instruction.
    Specified by:
      `visitASTORE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitATHROW

    public void visitATHROW(ATHROW obj)
    Description copied from interface: `Visitor`
    Visits an ATHROW instruction.
    Specified by:
      `visitATHROW` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitBALOAD

    public void visitBALOAD(BALOAD obj)
    Description copied from interface: `Visitor`
    Visits a BALOAD instruction.
    Specified by:
      `visitBALOAD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitBASTORE

    public void visitBASTORE(BASTORE obj)
    Description copied from interface: `Visitor`
    Visits a BASTORE instruction.
    Specified by:
      `visitBASTORE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitBIPUSH

    public void visitBIPUSH(BIPUSH obj)
    Description copied from interface: `Visitor`
    Visits a BIPUSH instruction.
    Specified by:
      `visitBIPUSH` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitBranchInstruction

    public void visitBranchInstruction(BranchInstruction obj)
    Description copied from interface: `Visitor`
    Visits a BranchInstruction.
    Specified by:
      `visitBranchInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitBREAKPOINT

    public void visitBREAKPOINT(BREAKPOINT obj)
    Description copied from interface: `Visitor`
    Visits a BREAKPOINT instruction.
    Specified by:
      `visitBREAKPOINT` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitCALOAD

    public void visitCALOAD(CALOAD obj)
    Description copied from interface: `Visitor`
    Visits a CALOAD instruction.
    Specified by:
      `visitCALOAD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitCASTORE

    public void visitCASTORE(CASTORE obj)
    Description copied from interface: `Visitor`
    Visits a CASTORE instruction.
    Specified by:
      `visitCASTORE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitCHECKCAST

    public void visitCHECKCAST(CHECKCAST obj)
    Description copied from interface: `Visitor`
    Visits a CHECKCAST instruction.
    Specified by:
      `visitCHECKCAST` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitConstantPushInstruction

    public void visitConstantPushInstruction(ConstantPushInstruction obj)
    Description copied from interface: `Visitor`
    Visits a ConstantPushInstruction.
    Specified by:
      `visitConstantPushInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitConversionInstruction

    public void visitConversionInstruction(ConversionInstruction obj)
    Description copied from interface: `Visitor`
    Visits a ConversionInstruction.
    Specified by:
      `visitConversionInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitCPInstruction

    public void visitCPInstruction(CPInstruction obj)
    Description copied from interface: `Visitor`
    Visits a CPInstruction.
    Specified by:
      `visitCPInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitD2F

    public void visitD2F(D2F obj)
    Description copied from interface: `Visitor`
    Visits a D2F instruction.
    Specified by:
      `visitD2F` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitD2I

    public void visitD2I(D2I obj)
    Description copied from interface: `Visitor`
    Visits a D2I instruction.
    Specified by:
      `visitD2I` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitD2L

    public void visitD2L(D2L obj)
    Description copied from interface: `Visitor`
    Visits a D2L instruction.
    Specified by:
      `visitD2L` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDADD

    public void visitDADD(DADD obj)
    Description copied from interface: `Visitor`
    Visits a DADD instruction.
    Specified by:
      `visitDADD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDALOAD

    public void visitDALOAD(DALOAD obj)
    Description copied from interface: `Visitor`
    Visits a DALOAD instruction.
    Specified by:
      `visitDALOAD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDASTORE

    public void visitDASTORE(DASTORE obj)
    Description copied from interface: `Visitor`
    Visits a DASTORE instruction.
    Specified by:
      `visitDASTORE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDCMPG

    public void visitDCMPG(DCMPG obj)
    Description copied from interface: `Visitor`
    Visits a DCMPG instruction.
    Specified by:
      `visitDCMPG` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDCMPL

    public void visitDCMPL(DCMPL obj)
    Description copied from interface: `Visitor`
    Visits a DCMPL instruction.
    Specified by:
      `visitDCMPL` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDCONST

    public void visitDCONST(DCONST obj)
    Description copied from interface: `Visitor`
    Visits a DCONST instruction.
    Specified by:
      `visitDCONST` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDDIV

    public void visitDDIV(DDIV obj)
    Description copied from interface: `Visitor`
    Visits a DDIV instruction.
    Specified by:
      `visitDDIV` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDLOAD

    public void visitDLOAD(DLOAD obj)
    Description copied from interface: `Visitor`
    Visits a DLOAD instruction.
    Specified by:
      `visitDLOAD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDMUL

    public void visitDMUL(DMUL obj)
    Description copied from interface: `Visitor`
    Visits a DMUL instruction.
    Specified by:
      `visitDMUL` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDNEG

    public void visitDNEG(DNEG obj)
    Description copied from interface: `Visitor`
    Visits a DNEG instruction.
    Specified by:
      `visitDNEG` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDREM

    public void visitDREM(DREM obj)
    Description copied from interface: `Visitor`
    Visits a DREM instruction.
    Specified by:
      `visitDREM` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDRETURN

    public void visitDRETURN(DRETURN obj)
    Description copied from interface: `Visitor`
    Visits a DRETURN instruction.
    Specified by:
      `visitDRETURN` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDSTORE

    public void visitDSTORE(DSTORE obj)
    Description copied from interface: `Visitor`
    Visits a DSTORE instruction.
    Specified by:
      `visitDSTORE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDSUB

    public void visitDSUB(DSUB obj)
    Description copied from interface: `Visitor`
    Visits a DSUB instruction.
    Specified by:
      `visitDSUB` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDUP

    public void visitDUP(DUP obj)
    Description copied from interface: `Visitor`
    Visits a DUP instruction.
    Specified by:
      `visitDUP` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDUP_X1

    public void visitDUP_X1(DUP_X1 obj)
    Description copied from interface: `Visitor`
    Visits a DUP_X1 instruction.
    Specified by:
      `visitDUP_X1` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDUP_X2

    public void visitDUP_X2(DUP_X2 obj)
    Description copied from interface: `Visitor`
    Visits a DUP_X2 instruction.
    Specified by:
      `visitDUP_X2` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDUP2

    public void visitDUP2(DUP2 obj)
    Description copied from interface: `Visitor`
    Visits a DUP2 instruction.
    Specified by:
      `visitDUP2` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDUP2_X1

    public void visitDUP2_X1(DUP2_X1 obj)
    Description copied from interface: `Visitor`
    Visits a DUP2_X1 instruction.
    Specified by:
      `visitDUP2_X1` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitDUP2_X2

    public void visitDUP2_X2(DUP2_X2 obj)
    Description copied from interface: `Visitor`
    Visits a DUP2_X2 instruction.
    Specified by:
      `visitDUP2_X2` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitExceptionThrower

    public void visitExceptionThrower(ExceptionThrower obj)
    Description copied from interface: `Visitor`
    Visits an ExceptionThrower.
    Specified by:
      `visitExceptionThrower` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitF2D

    public void visitF2D(F2D obj)
    Description copied from interface: `Visitor`
    Visits an F2D instruction.
    Specified by:
      `visitF2D` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitF2I

    public void visitF2I(F2I obj)
    Description copied from interface: `Visitor`
    Visits an F2I instruction.
    Specified by:
      `visitF2I` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitF2L

    public void visitF2L(F2L obj)
    Description copied from interface: `Visitor`
    Visits an F2L instruction.
    Specified by:
      `visitF2L` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitFADD

    public void visitFADD(FADD obj)
    Description copied from interface: `Visitor`
    Visits an FADD instruction.
    Specified by:
      `visitFADD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitFALOAD

    public void visitFALOAD(FALOAD obj)
    Description copied from interface: `Visitor`
    Visits an FALOAD instruction.
    Specified by:
      `visitFALOAD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitFASTORE

    public void visitFASTORE(FASTORE obj)
    Description copied from interface: `Visitor`
    Visits an FASTORE instruction.
    Specified by:
      `visitFASTORE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitFCMPG

    public void visitFCMPG(FCMPG obj)
    Description copied from interface: `Visitor`
    Visits an FCMPG instruction.
    Specified by:
      `visitFCMPG` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitFCMPL

    public void visitFCMPL(FCMPL obj)
    Description copied from interface: `Visitor`
    Visits an FCMPL instruction.
    Specified by:
      `visitFCMPL` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitFCONST

    public void visitFCONST(FCONST obj)
    Description copied from interface: `Visitor`
    Visits an FCONST instruction.
    Specified by:
      `visitFCONST` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitFDIV

    public void visitFDIV(FDIV obj)
    Description copied from interface: `Visitor`
    Visits an FDIV instruction.
    Specified by:
      `visitFDIV` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitFieldInstruction

    public void visitFieldInstruction(FieldInstruction obj)
    Description copied from interface: `Visitor`
    Visits a FieldInstruction.
    Specified by:
      `visitFieldInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitFieldOrMethod

    public void visitFieldOrMethod(FieldOrMethod obj)
    Description copied from interface: `Visitor`
    Visits a FieldOrMethod.
    Specified by:
      `visitFieldOrMethod` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitFLOAD

    public void visitFLOAD(FLOAD obj)
    Description copied from interface: `Visitor`
    Visits an FLOAD instruction.
    Specified by:
      `visitFLOAD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitFMUL

    public void visitFMUL(FMUL obj)
    Description copied from interface: `Visitor`
    Visits an FMUL instruction.
    Specified by:
      `visitFMUL` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitFNEG

    public void visitFNEG(FNEG obj)
    Description copied from interface: `Visitor`
    Visits an FNEG instruction.
    Specified by:
      `visitFNEG` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitFREM

    public void visitFREM(FREM obj)
    Description copied from interface: `Visitor`
    Visits an FREM instruction.
    Specified by:
      `visitFREM` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitFRETURN

    public void visitFRETURN(FRETURN obj)
    Description copied from interface: `Visitor`
    Visits an FRETURN instruction.
    Specified by:
      `visitFRETURN` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitFSTORE

    public void visitFSTORE(FSTORE obj)
    Description copied from interface: `Visitor`
    Visits an FSTORE instruction.
    Specified by:
      `visitFSTORE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitFSUB

    public void visitFSUB(FSUB obj)
    Description copied from interface: `Visitor`
    Visits an FSUB instruction.
    Specified by:
      `visitFSUB` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitGETFIELD

    public void visitGETFIELD(GETFIELD obj)
    Description copied from interface: `Visitor`
    Visits a GETFIELD instruction.
    Specified by:
      `visitGETFIELD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitGETSTATIC

    public void visitGETSTATIC(GETSTATIC obj)
    Description copied from interface: `Visitor`
    Visits a GETSTATIC instruction.
    Specified by:
      `visitGETSTATIC` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitGOTO

    public void visitGOTO(GOTO obj)
    Description copied from interface: `Visitor`
    Visits a GOTO instruction.
    Specified by:
      `visitGOTO` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitGOTO_W

    public void visitGOTO_W(GOTO_W obj)
    Description copied from interface: `Visitor`
    Visits a GOTO_W instruction.
    Specified by:
      `visitGOTO_W` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitGotoInstruction

    public void visitGotoInstruction(GotoInstruction obj)
    Description copied from interface: `Visitor`
    Visits a GotoInstruction.
    Specified by:
      `visitGotoInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitI2B

    public void visitI2B(I2B obj)
    Description copied from interface: `Visitor`
    Visits an I2B instruction.
    Specified by:
      `visitI2B` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitI2C

    public void visitI2C(I2C obj)
    Description copied from interface: `Visitor`
    Visits an I2C instruction.
    Specified by:
      `visitI2C` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitI2D

    public void visitI2D(I2D obj)
    Description copied from interface: `Visitor`
    Visits an I2D instruction.
    Specified by:
      `visitI2D` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitI2F

    public void visitI2F(I2F obj)
    Description copied from interface: `Visitor`
    Visits an I2F instruction.
    Specified by:
      `visitI2F` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitI2L

    public void visitI2L(I2L obj)
    Description copied from interface: `Visitor`
    Visits an I2L instruction.
    Specified by:
      `visitI2L` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitI2S

    public void visitI2S(I2S obj)
    Description copied from interface: `Visitor`
    Visits an I2S instruction.
    Specified by:
      `visitI2S` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIADD

    public void visitIADD(IADD obj)
    Description copied from interface: `Visitor`
    Visits an IADD instruction.
    Specified by:
      `visitIADD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIALOAD

    public void visitIALOAD(IALOAD obj)
    Description copied from interface: `Visitor`
    Visits an IALOAD instruction.
    Specified by:
      `visitIALOAD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIAND

    public void visitIAND(IAND obj)
    Description copied from interface: `Visitor`
    Visits an IAND instruction.
    Specified by:
      `visitIAND` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIASTORE

    public void visitIASTORE(IASTORE obj)
    Description copied from interface: `Visitor`
    Visits an IASTORE instruction.
    Specified by:
      `visitIASTORE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitICONST

    public void visitICONST(ICONST obj)
    Description copied from interface: `Visitor`
    Visits an ICONST instruction.
    Specified by:
      `visitICONST` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIDIV

    public void visitIDIV(IDIV obj)
    Description copied from interface: `Visitor`
    Visits an IDIV instruction.
    Specified by:
      `visitIDIV` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIF_ACMPEQ

    public void visitIF_ACMPEQ(IF_ACMPEQ obj)
    Description copied from interface: `Visitor`
    Visits an IF_ACMPEQ instruction.
    Specified by:
      `visitIF_ACMPEQ` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIF_ACMPNE

    public void visitIF_ACMPNE(IF_ACMPNE obj)
    Description copied from interface: `Visitor`
    Visits an IF_ACMPNE instruction.
    Specified by:
      `visitIF_ACMPNE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIF_ICMPEQ

    public void visitIF_ICMPEQ(IF_ICMPEQ obj)
    Description copied from interface: `Visitor`
    Visits an IF_ICMPEQ instruction.
    Specified by:
      `visitIF_ICMPEQ` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIF_ICMPGE

    public void visitIF_ICMPGE(IF_ICMPGE obj)
    Description copied from interface: `Visitor`
    Visits an IF_ICMPGE instruction.
    Specified by:
      `visitIF_ICMPGE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIF_ICMPGT

    public void visitIF_ICMPGT(IF_ICMPGT obj)
    Description copied from interface: `Visitor`
    Visits an IF_ICMPGT instruction.
    Specified by:
      `visitIF_ICMPGT` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIF_ICMPLE

    public void visitIF_ICMPLE(IF_ICMPLE obj)
    Description copied from interface: `Visitor`
    Visits an IF_ICMPLE instruction.
    Specified by:
      `visitIF_ICMPLE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIF_ICMPLT

    public void visitIF_ICMPLT(IF_ICMPLT obj)
    Description copied from interface: `Visitor`
    Visits an IF_ICMPLT instruction.
    Specified by:
      `visitIF_ICMPLT` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIF_ICMPNE

    public void visitIF_ICMPNE(IF_ICMPNE obj)
    Description copied from interface: `Visitor`
    Visits an IF_ICMPNE instruction.
    Specified by:
      `visitIF_ICMPNE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIFEQ

    public void visitIFEQ(IFEQ obj)
    Description copied from interface: `Visitor`
    Visits an IFEQ instruction.
    Specified by:
      `visitIFEQ` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIFGE

    public void visitIFGE(IFGE obj)
    Description copied from interface: `Visitor`
    Visits an IFGE instruction.
    Specified by:
      `visitIFGE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIFGT

    public void visitIFGT(IFGT obj)
    Description copied from interface: `Visitor`
    Visits an IFGT instruction.
    Specified by:
      `visitIFGT` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIfInstruction

    public void visitIfInstruction(IfInstruction obj)
    Description copied from interface: `Visitor`
    Visits an IfInstruction.
    Specified by:
      `visitIfInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIFLE

    public void visitIFLE(IFLE obj)
    Description copied from interface: `Visitor`
    Visits an IFLE instruction.
    Specified by:
      `visitIFLE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIFLT

    public void visitIFLT(IFLT obj)
    Description copied from interface: `Visitor`
    Visits an IFLT instruction.
    Specified by:
      `visitIFLT` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIFNE

    public void visitIFNE(IFNE obj)
    Description copied from interface: `Visitor`
    Visits an IFNE instruction.
    Specified by:
      `visitIFNE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIFNONNULL

    public void visitIFNONNULL(IFNONNULL obj)
    Description copied from interface: `Visitor`
    Visits an IFNONNULL instruction.
    Specified by:
      `visitIFNONNULL` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIFNULL

    public void visitIFNULL(IFNULL obj)
    Description copied from interface: `Visitor`
    Visits an IFNULL instruction.
    Specified by:
      `visitIFNULL` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIINC

    public void visitIINC(IINC obj)
    Description copied from interface: `Visitor`
    Visits an IINC instruction.
    Specified by:
      `visitIINC` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitILOAD

    public void visitILOAD(ILOAD obj)
    Description copied from interface: `Visitor`
    Visits an ILOAD instruction.
    Specified by:
      `visitILOAD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIMPDEP1

    public void visitIMPDEP1(IMPDEP1 obj)
    Description copied from interface: `Visitor`
    Visits an IMPDEP1 instruction.
    Specified by:
      `visitIMPDEP1` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIMPDEP2

    public void visitIMPDEP2(IMPDEP2 obj)
    Description copied from interface: `Visitor`
    Visits an IMPDEP2 instruction.
    Specified by:
      `visitIMPDEP2` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIMUL

    public void visitIMUL(IMUL obj)
    Description copied from interface: `Visitor`
    Visits an IMUL instruction.
    Specified by:
      `visitIMUL` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitINEG

    public void visitINEG(INEG obj)
    Description copied from interface: `Visitor`
    Visits an INEG instruction.
    Specified by:
      `visitINEG` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitINSTANCEOF

    public void visitINSTANCEOF(INSTANCEOF obj)
    Description copied from interface: `Visitor`
    Visits an INSTANCEOF instruction.
    Specified by:
      `visitINSTANCEOF` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitINVOKEDYNAMIC

    public void visitINVOKEDYNAMIC(INVOKEDYNAMIC obj)
    Description copied from interface: `Visitor`
    Visits an INVOKEDYNAMIC instruction.
    Specified by:
      `visitINVOKEDYNAMIC` in interface `Visitor`
    Parameters:
      `obj` - the instruction.
    Since:
      6.0

  - ### visitInvokeInstruction

    public void visitInvokeInstruction(InvokeInstruction obj)
    Description copied from interface: `Visitor`
    Visits an InvokeInstruction.
    Specified by:
      `visitInvokeInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitINVOKEINTERFACE

    public void visitINVOKEINTERFACE(INVOKEINTERFACE obj)
    Description copied from interface: `Visitor`
    Visits an INVOKEINTERFACE instruction.
    Specified by:
      `visitINVOKEINTERFACE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitINVOKESPECIAL

    public void visitINVOKESPECIAL(INVOKESPECIAL obj)
    Description copied from interface: `Visitor`
    Visits an INVOKESPECIAL instruction.
    Specified by:
      `visitINVOKESPECIAL` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitINVOKESTATIC

    public void visitINVOKESTATIC(INVOKESTATIC obj)
    Description copied from interface: `Visitor`
    Visits an INVOKESTATIC instruction.
    Specified by:
      `visitINVOKESTATIC` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitINVOKEVIRTUAL

    public void visitINVOKEVIRTUAL(INVOKEVIRTUAL obj)
    Description copied from interface: `Visitor`
    Visits an INVOKEVIRTUAL instruction.
    Specified by:
      `visitINVOKEVIRTUAL` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIOR

    public void visitIOR(IOR obj)
    Description copied from interface: `Visitor`
    Visits an IOR instruction.
    Specified by:
      `visitIOR` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIREM

    public void visitIREM(IREM obj)
    Description copied from interface: `Visitor`
    Visits an IREM instruction.
    Specified by:
      `visitIREM` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIRETURN

    public void visitIRETURN(IRETURN obj)
    Description copied from interface: `Visitor`
    Visits an IRETURN instruction.
    Specified by:
      `visitIRETURN` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitISHL

    public void visitISHL(ISHL obj)
    Description copied from interface: `Visitor`
    Visits an ISHL instruction.
    Specified by:
      `visitISHL` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitISHR

    public void visitISHR(ISHR obj)
    Description copied from interface: `Visitor`
    Visits an ISHR instruction.
    Specified by:
      `visitISHR` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitISTORE

    public void visitISTORE(ISTORE obj)
    Description copied from interface: `Visitor`
    Visits an ISTORE instruction.
    Specified by:
      `visitISTORE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitISUB

    public void visitISUB(ISUB obj)
    Description copied from interface: `Visitor`
    Visits an ISUB instruction.
    Specified by:
      `visitISUB` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIUSHR

    public void visitIUSHR(IUSHR obj)
    Description copied from interface: `Visitor`
    Visits an IUSHR instruction.
    Specified by:
      `visitIUSHR` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitIXOR

    public void visitIXOR(IXOR obj)
    Description copied from interface: `Visitor`
    Visits an IXOR instruction.
    Specified by:
      `visitIXOR` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitJSR

    public void visitJSR(JSR obj)
    Description copied from interface: `Visitor`
    Visits a JSR instruction.
    Specified by:
      `visitJSR` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitJSR_W

    public void visitJSR_W(JSR_W obj)
    Description copied from interface: `Visitor`
    Visits a JSR_W instruction.
    Specified by:
      `visitJSR_W` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitJsrInstruction

    public void visitJsrInstruction(JsrInstruction obj)
    Description copied from interface: `Visitor`
    Visits a JsrInstruction.
    Specified by:
      `visitJsrInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitL2D

    public void visitL2D(L2D obj)
    Description copied from interface: `Visitor`
    Visits an L2D instruction.
    Specified by:
      `visitL2D` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitL2F

    public void visitL2F(L2F obj)
    Description copied from interface: `Visitor`
    Visits an L2F instruction.
    Specified by:
      `visitL2F` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitL2I

    public void visitL2I(L2I obj)
    Description copied from interface: `Visitor`
    Visits an L2I instruction.
    Specified by:
      `visitL2I` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLADD

    public void visitLADD(LADD obj)
    Description copied from interface: `Visitor`
    Visits an LADD instruction.
    Specified by:
      `visitLADD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLALOAD

    public void visitLALOAD(LALOAD obj)
    Description copied from interface: `Visitor`
    Visits an LALOAD instruction.
    Specified by:
      `visitLALOAD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLAND

    public void visitLAND(LAND obj)
    Description copied from interface: `Visitor`
    Visits an LAND instruction.
    Specified by:
      `visitLAND` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLASTORE

    public void visitLASTORE(LASTORE obj)
    Description copied from interface: `Visitor`
    Visits an LASTORE instruction.
    Specified by:
      `visitLASTORE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLCMP

    public void visitLCMP(LCMP obj)
    Description copied from interface: `Visitor`
    Visits an LCMP instruction.
    Specified by:
      `visitLCMP` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLCONST

    public void visitLCONST(LCONST obj)
    Description copied from interface: `Visitor`
    Visits an LCONST instruction.
    Specified by:
      `visitLCONST` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLDC

    public void visitLDC(LDC obj)
    Description copied from interface: `Visitor`
    Visits an LDC instruction.
    Specified by:
      `visitLDC` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLDC2_W

    public void visitLDC2_W(LDC2_W obj)
    Description copied from interface: `Visitor`
    Visits an LDC2_W instruction.
    Specified by:
      `visitLDC2_W` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLDIV

    public void visitLDIV(LDIV obj)
    Description copied from interface: `Visitor`
    Visits an LDIV instruction.
    Specified by:
      `visitLDIV` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLLOAD

    public void visitLLOAD(LLOAD obj)
    Description copied from interface: `Visitor`
    Visits an LLOAD instruction.
    Specified by:
      `visitLLOAD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLMUL

    public void visitLMUL(LMUL obj)
    Description copied from interface: `Visitor`
    Visits an LMUL instruction.
    Specified by:
      `visitLMUL` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLNEG

    public void visitLNEG(LNEG obj)
    Description copied from interface: `Visitor`
    Visits an LNEG instruction.
    Specified by:
      `visitLNEG` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLoadClass

    public void visitLoadClass(LoadClass obj)
    Description copied from interface: `Visitor`
    Visits a LoadClass.
    Specified by:
      `visitLoadClass` in interface `Visitor`
    Parameters:
      `obj` - the load class.

  - ### visitLoadInstruction

    public void visitLoadInstruction(LoadInstruction obj)
    Description copied from interface: `Visitor`
    Visits a LoadInstruction.
    Specified by:
      `visitLoadInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLocalVariableInstruction

    public void visitLocalVariableInstruction(LocalVariableInstruction obj)
    Description copied from interface: `Visitor`
    Visits a LocalVariableInstruction.
    Specified by:
      `visitLocalVariableInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLOOKUPSWITCH

    public void visitLOOKUPSWITCH(LOOKUPSWITCH obj)
    Description copied from interface: `Visitor`
    Visits a LOOKUPSWITCH instruction.
    Specified by:
      `visitLOOKUPSWITCH` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLOR

    public void visitLOR(LOR obj)
    Description copied from interface: `Visitor`
    Visits an LOR instruction.
    Specified by:
      `visitLOR` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLREM

    public void visitLREM(LREM obj)
    Description copied from interface: `Visitor`
    Visits an LREM instruction.
    Specified by:
      `visitLREM` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLRETURN

    public void visitLRETURN(LRETURN obj)
    Description copied from interface: `Visitor`
    Visits an LRETURN instruction.
    Specified by:
      `visitLRETURN` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLSHL

    public void visitLSHL(LSHL obj)
    Description copied from interface: `Visitor`
    Visits an LSHL instruction.
    Specified by:
      `visitLSHL` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLSHR

    public void visitLSHR(LSHR obj)
    Description copied from interface: `Visitor`
    Visits an LSHR instruction.
    Specified by:
      `visitLSHR` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLSTORE

    public void visitLSTORE(LSTORE obj)
    Description copied from interface: `Visitor`
    Visits an LSTORE instruction.
    Specified by:
      `visitLSTORE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLSUB

    public void visitLSUB(LSUB obj)
    Description copied from interface: `Visitor`
    Visits an LSUB instruction.
    Specified by:
      `visitLSUB` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLUSHR

    public void visitLUSHR(LUSHR obj)
    Description copied from interface: `Visitor`
    Visits an LUSHR instruction.
    Specified by:
      `visitLUSHR` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitLXOR

    public void visitLXOR(LXOR obj)
    Description copied from interface: `Visitor`
    Visits an LXOR instruction.
    Specified by:
      `visitLXOR` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitMONITORENTER

    public void visitMONITORENTER(MONITORENTER obj)
    Description copied from interface: `Visitor`
    Visits a MONITORENTER instruction.
    Specified by:
      `visitMONITORENTER` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitMONITOREXIT

    public void visitMONITOREXIT(MONITOREXIT obj)
    Description copied from interface: `Visitor`
    Visits a MONITOREXIT instruction.
    Specified by:
      `visitMONITOREXIT` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitMULTIANEWARRAY

    public void visitMULTIANEWARRAY(MULTIANEWARRAY obj)
    Description copied from interface: `Visitor`
    Visits a MULTIANEWARRAY instruction.
    Specified by:
      `visitMULTIANEWARRAY` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitNEW

    public void visitNEW(NEW obj)
    Description copied from interface: `Visitor`
    Visits a NEW instruction.
    Specified by:
      `visitNEW` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitNEWARRAY

    public void visitNEWARRAY(NEWARRAY obj)
    Description copied from interface: `Visitor`
    Visits a NEWARRAY instruction.
    Specified by:
      `visitNEWARRAY` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitNOP

    public void visitNOP(NOP obj)
    Description copied from interface: `Visitor`
    Visits a NOP instruction.
    Specified by:
      `visitNOP` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitPOP

    public void visitPOP(POP obj)
    Description copied from interface: `Visitor`
    Visits a POP instruction.
    Specified by:
      `visitPOP` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitPOP2

    public void visitPOP2(POP2 obj)
    Description copied from interface: `Visitor`
    Visits a POP2 instruction.
    Specified by:
      `visitPOP2` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitPopInstruction

    public void visitPopInstruction(PopInstruction obj)
    Description copied from interface: `Visitor`
    Visits a PopInstruction.
    Specified by:
      `visitPopInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitPushInstruction

    public void visitPushInstruction(PushInstruction obj)
    Description copied from interface: `Visitor`
    Visits a PushInstruction.
    Specified by:
      `visitPushInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitPUTFIELD

    public void visitPUTFIELD(PUTFIELD obj)
    Description copied from interface: `Visitor`
    Visits a PUTFIELD instruction.
    Specified by:
      `visitPUTFIELD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitPUTSTATIC

    public void visitPUTSTATIC(PUTSTATIC obj)
    Description copied from interface: `Visitor`
    Visits a PUTSTATIC instruction.
    Specified by:
      `visitPUTSTATIC` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitRET

    public void visitRET(RET obj)
    Description copied from interface: `Visitor`
    Visits a RET instruction.
    Specified by:
      `visitRET` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitRETURN

    public void visitRETURN(RETURN obj)
    Description copied from interface: `Visitor`
    Visits a RETURN instruction.
    Specified by:
      `visitRETURN` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitReturnInstruction

    public void visitReturnInstruction(ReturnInstruction obj)
    Description copied from interface: `Visitor`
    Visits a ReturnInstruction.
    Specified by:
      `visitReturnInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitSALOAD

    public void visitSALOAD(SALOAD obj)
    Description copied from interface: `Visitor`
    Visits a SALOAD instruction.
    Specified by:
      `visitSALOAD` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitSASTORE

    public void visitSASTORE(SASTORE obj)
    Description copied from interface: `Visitor`
    Visits a SASTORE instruction.
    Specified by:
      `visitSASTORE` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitSelect

    public void visitSelect(Select obj)
    Description copied from interface: `Visitor`
    Visits a Select instruction.
    Specified by:
      `visitSelect` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitSIPUSH

    public void visitSIPUSH(SIPUSH obj)
    Description copied from interface: `Visitor`
    Visits a SIPUSH instruction.
    Specified by:
      `visitSIPUSH` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitStackConsumer

    public void visitStackConsumer(StackConsumer obj)
    Description copied from interface: `Visitor`
    Visits a StackConsumer.
    Specified by:
      `visitStackConsumer` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitStackInstruction

    public void visitStackInstruction(StackInstruction obj)
    Description copied from interface: `Visitor`
    Visits a StackInstruction.
    Specified by:
      `visitStackInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitStackProducer

    public void visitStackProducer(StackProducer obj)
    Description copied from interface: `Visitor`
    Visits a StackProducer.
    Specified by:
      `visitStackProducer` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitStoreInstruction

    public void visitStoreInstruction(StoreInstruction obj)
    Description copied from interface: `Visitor`
    Visits a StoreInstruction.
    Specified by:
      `visitStoreInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitSWAP

    public void visitSWAP(SWAP obj)
    Description copied from interface: `Visitor`
    Visits a SWAP instruction.
    Specified by:
      `visitSWAP` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitTABLESWITCH

    public void visitTABLESWITCH(TABLESWITCH obj)
    Description copied from interface: `Visitor`
    Visits a TABLESWITCH instruction.
    Specified by:
      `visitTABLESWITCH` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitTypedInstruction

    public void visitTypedInstruction(TypedInstruction obj)
    Description copied from interface: `Visitor`
    Visits a TypedInstruction.
    Specified by:
      `visitTypedInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitUnconditionalBranch

    public void visitUnconditionalBranch(UnconditionalBranch obj)
    Description copied from interface: `Visitor`
    Visits an UnconditionalBranch.
    Specified by:
      `visitUnconditionalBranch` in interface `Visitor`
    Parameters:
      `obj` - the instruction.

  - ### visitVariableLengthInstruction

    public void visitVariableLengthInstruction(VariableLengthInstruction obj)
    Description copied from interface: `Visitor`
    Visits a VariableLengthInstruction.
    Specified by:
      `visitVariableLengthInstruction` in interface `Visitor`
    Parameters:
      `obj` - the instruction.